PATCH /commerce/{accountId}/baskets/{basketId}/items

Path parameters

  • accountId string Required

    Default value is 668e4aa170efd23c474b2ad1.

  • basketId string Required
application/json

Body

  • RAW_BODY array[object] Required
    Hide RAW_BODY attributes Show RAW_BODY attributes object
    • menuId string Required
    • plu string Required

      Default value is 3F_COMBO.

    • quantity integer(int32) Required

      Default value is 2.

    • note string
    • subItems array[object]
      Hide subItems attributes Show subItems attributes object
      • plu string Required

        Default value is A_FRS.

      • customizationPlu string Required
      • quantity integer(int32) Required

        Default value is 1.

      • note string

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • id string
    • created string
    • updated string
    • deleted boolean

      Default value is true.

    • etag string
    • accountId string
    • storeId string
    • currency string
    • taxExclusive boolean

      Default value is true.

    • status string
    • items array[object]
      Hide items attributes Show items attributes object
      • plu string
      • quantity integer

        Default value is 0.

      • note string
      • menuId string
      • price integer

        Default value is 0.

      • gross integer

        Default value is 0.

      • taxes array
      • net integer

        Default value is 0.

      • subItems array
      • discounts array
      • discountTotal integer

        Default value is 0.

    • payment object
      Hide payment attributes Show payment attributes object
      • tips array
      • discountsTotal integer

        Default value is 0.

      • taxTotal integer

        Default value is 0.

      • tipTotal integer

        Default value is 0.

      • total integer

        Default value is 0.

    • fulfillment object
      Hide fulfillment attribute Show fulfillment attribute object
      • type string
    • taxes array
    • discounts array
  • 400 application/json

    400

PATCH /commerce/{accountId}/baskets/{basketId}/items
curl \
 --request PATCH 'https://api.staging.deliverect.com/commerce/{accountId}/baskets/{basketId}/items' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '[{"plu":"3F_COMBO","note":"No Salad","menuId":"681a721c98b4e6d4ec09d83d","quantity":3}]'
Request example
[
  {
    "plu": "3F_COMBO",
    "note": "No Salad",
    "menuId": "681a721c98b4e6d4ec09d83d",
    "quantity": 3
  }
]
Response examples (200)
{
  "id": "663dff85512e27ec790fe713",
  "etag": "4f95244e98557fec08e449e767afb340842cf4f2",
  "items": [
    {
      "net": 1500,
      "plu": "PLU-1",
      "note": "extra salt please",
      "gross": 1500,
      "price": 1500,
      "taxes": [],
      "menuId": "662fa50c9ddcfc5397580587",
      "quantity": 1,
      "subItems": [],
      "discounts": [],
      "discountTotal": 0
    },
    {
      "net": 1500,
      "plu": "PLU-2",
      "gross": 1500,
      "price": 1500,
      "taxes": [],
      "menuId": "662fa50c9ddcfc5397580587",
      "quantity": 1,
      "subItems": [],
      "discounts": [],
      "discountTotal": 0
    },
    {
      "net": 1500,
      "plu": "PLU-3",
      "gross": 1500,
      "price": 1500,
      "taxes": [],
      "menuId": "662fa50c9ddcfc5397580587",
      "quantity": 1,
      "subItems": [],
      "discounts": [],
      "discountTotal": 0
    }
  ],
  "taxes": [],
  "status": "open",
  "created": "2024-05-10T11:05:41.194000+00:00",
  "deleted": false,
  "payment": {
    "tips": [],
    "total": 4500,
    "taxTotal": 0,
    "tipTotal": 0,
    "discountsTotal": 0
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-10T11:05:41.226000+00:00",
  "currency": "EUR",
  "customer": null,
  "accountId": "65c35d109a19b819b7cf78d8",
  "discounts": [],
  "fulfillment": {
    "type": "pickup"
  },
  "taxExclusive": false,
  "channelLinkId": "65eee6a9984a1bc1b9637c59",
  "channelOrderId": null,
  "channelOrderDisplayId": null
}
Response examples (400)
{}